@echo off

:start
set choice=
echo.
echo 1) Remove CAM2 Q Settings
echo 2) Remove CAM2 Measure 10.0.x Settings
echo 3) Remove CAM2 Measure 10.1.x Settings
echo.
echo 4) Remove CAM2 Q Settings and Files
echo 5) Remove CAM2 Measure 10.0.x Settings and Files
echo 6) Remove CAM2 Measure 10.1.x Settings and Files
echo.
echo 7) Remove CAM2 Gage Settings
echo.
echo h) Remove HASP Files
echo q) Quit
echo.

set /p choice="Enter command => "

IF '%choice%'=='1' GOTO RemoveQSettings
IF '%choice%'=='2' GOTO RemoveM100xSettings
IF '%choice%'=='3' GOTO RemoveM101xSettings

IF '%choice%'=='4' GOTO RemoveQSettingsFiles
IF '%choice%'=='5' GOTO RemoveM100xSettingsFiles
IF '%choice%'=='6' GOTO RemoveM101xSettingsFiles

IF '%choice%'=='7' GOTO RemoveGageSettings
IF '%choice%'=='h' GOTO RemoveHASP
IF '%choice%'=='q' GOTO Quit
echo "%choice%" is not vaid, try again
echo.
goto start

:RemoveQSettingsFiles
set choice=

echo ***************************************
echo ** These commands should ONLY be run **
echo ** after running the UNINSTALL       **
echo ** program from Windows Control Panel**
echo ***************************************
echo.
set /p choice="Do you want to continue? (Y/N): "
IF '%choice%'=='y' GOTO ContinueRemoveQFiles
IF '%choice%'=='n' GOTO Quit
goto RemoveQSettingsFiles


: ContinueRemoveQFiles
echo remove Q settings
rmdir /s /q "%USERPROFILE%\Documents\CAM2 Q\Templates" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Q 1.0" 1>nul 2>nul
rmdir /s /q "C:\ProgramData\FARO Technologies\DAC Service Data" 1>nul 2>nul
goto RemoveQSettings

:RemoveM100xSettingsFiles
set choice=

echo ***************************************
echo ** These commands should ONLY be run **
echo ** after running the UNINSTALL       **
echo ** program from Windows Control Panel**
echo ***************************************
echo.
set /p choice="Do you want to continue? (Y/N): "
IF '%choice%'=='y' GOTO ContinueRemove100xFiles
IF '%choice%'=='n' GOTO Quit
goto :RemoveM100xSettingsFiles


: ContinueRemove100xFiles
echo removing installed files
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Measure 10" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES%\FARO\CAM2 Measure 10" 1>nul 2>nul
goto RemoveM100xSettings

:RemoveM10xSettingsFiles
set choice=

echo ***************************************
echo ** These commands should ONLY be run **
echo ** after running the UNINSTALL       **
echo ** program from Windows Control Panel**
echo ***************************************
echo.
set /p choice="Do you want to continue? (Y/N): "
IF '%choice%'=='y' GOTO ContinueRemove101xFiles
IF '%choice%'=='n' GOTO Quit
goto :RemoveM101xSettingsFiles


: ContinueRemove101xFiles
echo removing installed files
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Measure 10.1" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES%\FARO\CAM2 Measure 10.1" 1>nul 2>nul
goto RemoveM101xSettings

:RemoveAllSettings
echo remove all settings
echo remove Q settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Q" /f  1>nul 2>nul
echo removing CAM2 Q local settings
del "%USERPROFILE%\Documents\CAM2 Q\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Q\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Q\headerInformation.hed" 1>nul 2>nul
rmdir /s /q "%USERPROFILE%\Documents\CAM2 Q\Templates" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Q 1.0" 1>nul 2>nul
echo.
echo remove M10.x settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Measure" /f 1>nul 2>nul
echo removing CAM2 M10.x local settings
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\headerInformation.hed" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentpropertytemplate.pdt" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Measure 10" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES%\FARO\CAM2 Measure 10" 1>nul 2>nul
rmdir /s /q "%APPDATA%\CAM2 Measure\10.0" 1>nul 2>nul
echo.
echo remove M10.1.x settings
echo removing CAM2 M10.1.x local settings
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\headerInformation.hed" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES(x86)%\FARO\CAM2 Measure 10.1" 1>nul 2>nul
rmdir /s /q "%PROGRAMFILES%\FARO\CAM2 Measure 10.1" 1>nul 2>nul
rmdir /s /q "%APPDATA%\CAM2 Measure\10.1" 1>nul 2>nul
rmdir /s /q "C:\ProgramData\FARO Technologies\DAC Service Data" 1>nul 2>nul
goto Done


:RemoveQSettings
echo remove Q settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Q" /f  1>nul 2>nul
echo removing CAM2 Q local settings
del "%USERPROFILE%\Documents\CAM2 Q\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Q\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Q\headerInformation.hed" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentpropertytemplate.pdt" 1>nul 2>nul
rmdir /s /q "%USERPROFILE%\Documents\CAM2 Q\Templates" 1>nul 2>nul
rmdir /s /q "C:\ProgramData\FARO Technologies\DAC Service Data" 1>nul 2>nul
rmdir /s /q "%APPDATA%\..\local\FARO Technologies\CAM2 Q" 1>nul 2>nul
rmdir /s /q "%APPDATA%\FARO Technologies\CAM2 Q" 1>nul 2>nul
goto Done


:RemoveM100xSettings
echo remove M10.x settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Measure" /f 1>nul 2>nul
echo removing CAM2 M10.x local settings
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\headerInformation.hed" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentpropertytemplate.pdt" 1>nul 2>nul
rmdir /s /q "%APPDATA%\CAM2 Measure\10.0" 1>nul 2>nul
rmdir /s /q "%APPDATA%\FARO Technologies\CAM2 Measure\1.0" 1>nul 2>nul
rmdir /s /q "%APPDATA%\..\local\FARO Technologies\CAM2 Measure" 1>nul 2>nul
rmdir /s /q "C:\ProgramData\FARO Technologies\DAC Service Data" 1>nul 2>nul
goto Done

:RemoveM101xSettings
echo remove M10.1.x settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Measure" /f 1>nul 2>nul
echo removing CAM2 M10.1.x local settings
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentPropertyInfo.cmb" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\Preferences.xml" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\headerInformation.hed" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Measure 10\documentpropertytemplate.pdt" 1>nul 2>nul
rmdir /s /q "%APPDATA%\CAM2 Measure\10.1" 1>nul 2>nul
rmdir /s /q "%APPDATA%\FARO Technologies\CAM2 Measure\10.1" 1>nul 2>nul
rmdir /s /q "%APPDATA%\..\Local\FARO Technologies\CAM2 Measure" 1>nul 2>nul
rmdir /s /q "C:\ProgramData\FARO Technologies\DAC Service Data" 1>nul 2>nul
goto Done

:RemoveHASP
echo Removing HASP Files
rmdir /s /q "C:\Program Files (x86)\Common Files\Aladdin Shared\HASP" 1>nul 2>nul
goto Done

:RemoveGageSettings
echo removing Gage settings
echo removing registry entries
reg delete "HKEY_CURRENT_USER\Software\FARO Technologies\CAM2 Gage" /f 1>nul 2>nul
echo removing Gage settings
rmdir /s /q "%APPDATA%\..\Local\FARO_Technologies_Inc" 1>nul 2>nul
rmdir /s /q "%APPDATA%\..\local\FARO Technologies\CAM2 Gage" 1>nul 2>nul
del "%USERPROFILE%\Documents\CAM2 Gage\Preferences.xml" 1>nul 2>nul
goto Done

:QUIT
Echo you selected Quit

:Done
